/*
*
* Copyright (c) 2013,2014 Institute of Mathematics and Computer Science, University of Latvia (IMCS UL). 
*
* This file is part of DEEK (diagram editor engine kit). 
*
* You can redistribute it and/or modify it under the terms of the GNU General Public License 
* as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
*
* You should have received a copy of the GNU General Public License along with DEEK If not, see http://www.gnu.org/licenses/.
*
*/

package lv.lumii.deek.data;

import lv.lumii.deek.model.DElement;
import org.w3c.dom.Element;

/**
 * Factory for creating the DataProperties collections
 */
public class DataFactory {

/**
 * Create new DataProperties with the given owner
 *
 * @param owner owner element
 * @return the new DataProperties instance
 */
public static DataProperties createDataProperties(DElement owner) {
    return new DataPropertiesImpl(owner);
}

/**
 * Create new DataProperties from the given XML element, with the given owner
 *
 * @param owner   owner element
 * @param element XML element
 * @return the new DataProperties instance
 */
public static DataProperties createDataPropertiesFromXML(DElement owner, org.w3c.dom.Element element) {
    return new DataPropertiesImpl(owner, element);
}

}
