/*
*
* Copyright (c) 2013,2014 Institute of Mathematics and Computer Science, University of Latvia (IMCS UL). 
*
* This file is part of DEEK (diagram editor engine kit). 
*
* You can redistribute it and/or modify it under the terms of the GNU General Public License 
* as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
*
* You should have received a copy of the GNU General Public License along with DEEK If not, see http://www.gnu.org/licenses/.
*
*/

package lv.lumii.deek.style;

/**
 * Defines the gradient types available for filled areas in the diagram.
 */
public enum GradientType {

    /**
     * No gradient (use primary color only)
     */
    NONE,

    /**
     * Linear gradient from the primary color (top) to the secondary color (bottom)
     */
    TOP_TO_BOTTOM,

    /**
     *
     */
    LEFT_TO_RIGHT,

    /**
     * Linear gradient from the primary color (top left) to the secondary color (bottom right)
     */
    TOPLEFT_TO_BOTTOMRIGHT,

    /**
     * Linear gradient from the primary color (bottom left) to the secondary color (top right)
     */
    BOTTOMLEFT_TO_TOPRIGHT

}
