/*
*
* Copyright (c) 2013,2014 Institute of Mathematics and Computer Science, University of Latvia (IMCS UL). 
*
* This file is part of DEEK (diagram editor engine kit). 
*
* You can redistribute it and/or modify it under the terms of the GNU General Public License 
* as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
*
* You should have received a copy of the GNU General Public License along with DEEK If not, see http://www.gnu.org/licenses/.
*
*/

package lv.lumii.deek.style;

/**
 * Defines the line decoration types available for use at the line start and
 * at the line end.
 */
public enum LineDecorationType {

    /**
     * Filled triangle
     */
    FILLED_ARROW,

    /**
     * Hollow triangle
     */
    HOLLOW_ARROW,

    /**
     * Standard arrow (two short lines)
     */
    STANDARD_ARROW,

    /**
     * Small filled circle
     */
    FILLED_CIRCLE,

    /**
     * Small filled diamond
     */
    FILLED_DIAMOND,
    //		HOLLOW_TRIANGLE,
//		HOLLOW_DIAMOND,
//		FILLED_TRIANGLE,
//		FILLED_CUT_ARROW,

    /**
     * No decoration (default)
     */
    NONE
}
