/*
*
* Copyright (c) 2013,2014 Institute of Mathematics and Computer Science, University of Latvia (IMCS UL). 
*
* This file is part of DEEK (diagram editor engine kit). 
*
* You can redistribute it and/or modify it under the terms of the GNU General Public License 
* as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
*
* You should have received a copy of the GNU General Public License along with DEEK If not, see http://www.gnu.org/licenses/.
*
*/

package lv.lumii.deek.style;


import lv.lumii.deek.model.DElement;
import org.w3c.dom.Element;

import java.awt.*;

public class StyleFactory {

/**
 * Creates a new Style instance with default values and associates it with the given diagram element
 *
 * @param element owner of this Style instance
 * @return new Style instance
 */
public static Style createStyle(DElement element) {
    return new StyleImpl(element);
}

/**
 * Creates a new Style instance from the given XML element, and associates it with the given diagram element.
 *
 * @param element owner of this Style instance
 * @param e       XML element
 * @return new Style instance
 */
public static Style createStyleFromXML(DElement element, Element e) {
    return new StyleImpl(element, e);
}

public static Style createPackStyle() {
    Style s = new StyleImpl(null);

    s.setTextColor(Color.DARK_GRAY);
    s.setFontSize(12);
    s.setFontBold(true);

    return s;
}


}
