/*
*
* Copyright (c) 2013,2014 Institute of Mathematics and Computer Science, University of Latvia (IMCS UL). 
*
* This file is part of DEEK (diagram editor engine kit). 
*
* You can redistribute it and/or modify it under the terms of the GNU General Public License 
* as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
*
* You should have received a copy of the GNU General Public License along with DEEK If not, see http://www.gnu.org/licenses/.
*
*/

package lv.lumii.deek.ui.tools;

import java.awt.Graphics2D;
import java.awt.Point;
import java.util.ArrayList;

import lv.lumii.deek.util.Globals;

@SuppressWarnings("serial")
public abstract class DLineTool
        extends DElementTool {

public DLineTool() {
    initTool();
}

protected ArrayList<Point> tempLine;
protected boolean drawCornerHandles = false;
protected boolean drawEndArrow = false;

private void initTool() {
    tempLine = new ArrayList<>();
}

@Override
protected void finish() {
}

@Override
protected void abort() {
}

@Override
protected void drawElement(Graphics2D g) {

    final int CORNER_SIZE = 3;

    g.setStroke(Globals.TOOL_BORDER_STROKE);
    g.setColor(Globals.TOOL_BORDER_COLOR);

    if (tempLine != null) {

        if (tempLine.size() >= 2) {

            Point p1 = tempLine.get(0);
            Point p2;
            for (int i = 1; i < tempLine.size(); i++) {
                p2 = tempLine.get(i);
                g.drawLine(p1.x, p1.y, p2.x, p2.y);
                p1 = p2;
            }

            if (drawCornerHandles) {
                for (Point aTempLine : tempLine) {
                    p1 = aTempLine;
                    g.drawRect(p1.x - CORNER_SIZE, p1.y - CORNER_SIZE, 2 * CORNER_SIZE, 2 * CORNER_SIZE);
                    g.fillRect(p1.x - CORNER_SIZE, p1.y - CORNER_SIZE, 2 * CORNER_SIZE, 2 * CORNER_SIZE);
                }
            }

        }

    }

}

}
