/*
*
* Copyright (c) 2013,2014 Institute of Mathematics and Computer Science, University of Latvia (IMCS UL). 
*
* This file is part of DEEK (diagram editor engine kit). 
*
* You can redistribute it and/or modify it under the terms of the GNU General Public License 
* as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
*
* You should have received a copy of the GNU General Public License along with DEEK If not, see http://www.gnu.org/licenses/.
*
*/

package lv.lumii.deek.ui.tools;

import java.awt.Graphics2D;
import java.awt.Point;
import java.awt.event.MouseEvent;

import lv.lumii.deek.style.LineDecorationType;
import lv.lumii.deek.util.Globals;
import lv.lumii.deek.util.Drawer;
import lv.lumii.deek.ui.DViewport;

@SuppressWarnings("serial")
public class DNewPolyLineTool extends DNewLineTool {

public DNewPolyLineTool(DViewport owner) {
    super(owner);
    initTool();
}

public DNewPolyLineTool(DViewport owner, MouseEvent e) {
    this(owner);
    mousePressed(e);
}

protected Point prevCornerPoint;

private void initTool() {
    prevCornerPoint = new Point();
}

@Override
protected void setToolPosition(int x, int y) {
    super.setToolPosition(x, y);
    prevCornerPoint.x = x;
    prevCornerPoint.y = y;
}

@Override
public void onDrag() {
    if (toolState == ToolState.DOING) {
        repaint3(prevCornerPoint, mouseCurrPoint, mousePrevPoint);
    }
}

@Override
public void onSecondaryDown() {

    repaint2(prevCornerPoint, mouseExtraPoint);
    tempLine.add(new Point(mouseExtraPoint));
    prevCornerPoint.setLocation(mouseExtraPoint);

}


@Override
protected void drawTempSegment(Graphics2D g) {

    g.setColor(Globals.TOOL_BORDER_HILITE_COLOR);
    g.drawLine(prevCornerPoint.x, prevCornerPoint.y, mouseCurrPoint.x, mouseCurrPoint.y);
//		System.out.printf("segment: %d %d - %d %d\n", prevCornerPoint.x, prevCornerPoint.y, mouseCurrPoint.x, mouseCurrPoint.y);

    if (drawEndArrow) {
        g.setPaint(Globals.TOOL_BORDER_HILITE_COLOR);
        Drawer.drawLineEndDecoration(g,
                mouseDownPoint.x, mouseDownPoint.y,
                mouseCurrPoint.x, mouseCurrPoint.y,
                LineDecorationType.FILLED_ARROW);

    }

}


}
