/*
*
* Copyright (c) 2013,2014 Institute of Mathematics and Computer Science, University of Latvia (IMCS UL). 
*
* This file is part of DEEK (diagram editor engine kit). 
*
* You can redistribute it and/or modify it under the terms of the GNU General Public License 
* as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
*
* You should have received a copy of the GNU General Public License along with DEEK If not, see http://www.gnu.org/licenses/.
*
*/

package lv.lumii.deek.ui.tools;

import java.awt.Cursor;
import java.awt.Graphics2D;
import java.awt.Point;

import lv.lumii.deek.ui.DViewport;

@SuppressWarnings("serial")
public class DPaneTool extends DElementTool {

public DPaneTool(DViewport owner, Point mousePoint) {
    super(owner);
    setPaneCursor();
    setToolPosition(mousePoint);
}

public DPaneTool(DViewport owner, int mousePointX, int mousePointY) {
    super(owner);
    setPaneCursor();
    setToolPosition(mousePointX, mousePointY);
}

@Override
protected void finish() {
    owner.endPaning();
}

@Override
protected void abort() {
}

@Override
protected void drawElement(Graphics2D g) {
}

@Override
public void onPrimaryDown() {
    setPaneCursor();
}

@Override
public void onDrag() {
    owner.zoomer.doPaning(
            mouseCurrPoint.x - mousePrevPoint.x,
            mouseCurrPoint.y - mousePrevPoint.y
    );
}

@Override
public void onPrimaryUp() {
    setCursor(Cursor.getPredefinedCursor(Cursor.DEFAULT_CURSOR));
    finish();
}

private void setPaneCursor() {
    setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
}

}
