/*
*
* Copyright (c) 2013,2014 Institute of Mathematics and Computer Science, University of Latvia (IMCS UL). 
*
* This file is part of DEEK (diagram editor engine kit). 
*
* You can redistribute it and/or modify it under the terms of the GNU General Public License 
* as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
*
* You should have received a copy of the GNU General Public License along with DEEK If not, see http://www.gnu.org/licenses/.
*
*/

package lv.lumii.deek.util;

/**
 * Helper class for the operations with a Block dimensions
 */
public class BlockSize {
public double width;
public double height;

public BlockSize(double w, double h) {
    width = w;
    height = h;
}

public BlockSize pad(double padding) {
    width += 2 * padding;
    height += 2 * padding;
    return this;
}

public BlockSize growTo(BlockSize other) {
    if (other.width > this.width)
        this.width = other.width;
    if (other.height > this.height)
        this.height = other.height;
    return this;
}

public BlockSize growTo(double w, double h) {
    if (w > this.width)
        this.width = w;
    if (h > this.height)
        this.height = h;
    return this;
}
}
