/*
*
* Copyright (c) 2013,2014 Institute of Mathematics and Computer Science, University of Latvia (IMCS UL). 
*
* This file is part of DEEK (diagram editor engine kit). 
*
* You can redistribute it and/or modify it under the terms of the GNU General Public License 
* as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
*
* You should have received a copy of the GNU General Public License along with DEEK If not, see http://www.gnu.org/licenses/.
*
*/

package lv.lumii.deek.util;

public class IntPair {
private int l;
private int r;

public IntPair(int l, int r) {
    this.l = l;
    this.r = r;
}

static IntPair of(int l, int r) {
    return new IntPair(l, r);
}

public int getL() {
    return l;
}

public int getR() {
    return r;
}

@Override
public int hashCode() {
    final int prime = 31;
    int result = 1;
    result = prime * result + l;
    result = prime * result + r;
    return result;
}

@Override
public boolean equals(Object obj) {
    if (this == obj)
        return true;
    if (obj == null)
        return false;
    if (getClass() != obj.getClass())
        return false;
    IntPair other = (IntPair) obj;
    if (l != other.l)
        return false;
    if (r != other.r)
        return false;
    return true;
}

@Override
public String toString() {
    return "IntPair [l=" + l + ", r=" + r + "]";
}
}