/*
*
* Copyright (c) 2013,2014 Institute of Mathematics and Computer Science, University of Latvia (IMCS UL). 
*
* This file is part of DEEK (diagram editor engine kit). 
*
* You can redistribute it and/or modify it under the terms of the GNU General Public License 
* as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
*
* You should have received a copy of the GNU General Public License along with DEEK If not, see http://www.gnu.org/licenses/.
*
*/

package lv.lumii.test;

import lv.lumii.deek.ui.*;

import javax.swing.*;
import java.awt.*;
import java.util.Locale;

/**
 * Sample class demonstrating diagram canvas embedded in an applet.
 */
public class OpusApplet
        extends JApplet
        implements OpusHost {


OpusStatusBar statusbar;
OpusToolbar toolbar;
JMenuBar menubar;
private DController controller;
private DViewport viewPort;
private DDrawing drawing;

public void init() {
    Locale.setDefault(Locale.US);

    statusbar = new OpusStatusBar(this);
    add(statusbar, BorderLayout.SOUTH);

    drawing = new DDrawing();
    viewPort = new DViewport(this, drawing);
    controller = new DController(this, drawing, viewPort);
    drawing.setController(controller);

    // for the toolbar placement
    JPanel inner = new JPanel(new BorderLayout());

    toolbar = new OpusToolbar(this);
    controller.addToolbarButtons(toolbar);
    inner.add(toolbar, BorderLayout.SOUTH);

    inner.add(viewPort, BorderLayout.CENTER);
//		inner.add(new JScrollPane(viewPort), BorderLayout.CENTER);

    add(inner, BorderLayout.CENTER);

    menubar = controller.createMainMenu();
//		setJMenuBar(menubar);

//    overviewPane = new OpusOverview(drawing, this);
////		overviewPane.setVisible(true);
//
//    magnifierPane = new OpusMagnifier(drawing, this);
////		magnifierPane.setVisible(true);

}

public void stop() {

}

@Override
public void setStatusText(String s) {
    statusbar.setText(s);
}

@Override
public void toggleMenuBar() {

}

@Override
public void toggleToolBar() {

}

@Override
public void toggleStatusBar() {

}

@Override
public void toggleOverview() {

}

@Override
public void toggleMagnifier() {

}

@Override
public OpusOverview getOverview() {
    return null;
}

@Override
public OpusMagnifier getMagnifier() {
    return null;
}
}
