/*
*
* Copyright (c) 2013,2014 Institute of Mathematics and Computer Science, University of Latvia (IMCS UL). 
*
* This file is part of DEEK (diagram editor engine kit). 
*
* You can redistribute it and/or modify it under the terms of the GNU General Public License 
* as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
*
* You should have received a copy of the GNU General Public License along with DEEK If not, see http://www.gnu.org/licenses/.
*
*/

package lv.lumii.test;

import javax.swing.*;
import java.awt.*;

/**
 * Status bar for the engine test environment
 */
@SuppressWarnings("serial")
public class OpusStatusBar extends JPanel {
private String text;
private OpusFrame ownerFrame;
private OpusApplet ownerApplet;

public OpusStatusBar(OpusFrame owner) {
    this.ownerFrame = owner;
    setPreferredSize(new Dimension(0, 20));
    setBorder(BorderFactory.createBevelBorder(1));
    setText("idle");
}

public OpusStatusBar(OpusApplet owner) {
    this.ownerApplet = owner;
}

public void setText(String text) {
    this.text = text;
    repaint();
}

@Override
public void paintComponent(Graphics g) {
    super.paintComponent(g);

    Graphics2D g2 = (Graphics2D) g.create();
    g2.setColor(Color.BLACK);
    g2.drawString(text, 5, getHeight() - 5);
    g2.dispose();
}
}
